Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.util
Class WSDLResourceImpl

    java.lang.Object
      ResourceImpl
          org.eclipse.wst.wsdl.util.WSDLResourceImpl

    public class WSDLResourceImpl

extends ResourceImpl

The Resource implementation for the model. This specialized resource implementation supports it's own way of making keys and hrefs, and it's own serialization. This class is not intended for subclassing outside of the model implementation; it is intended to be used as is with the Resource framework.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  1.0
See Also:
  `WSDLResourceFactoryImpl`

Field Summary
`static java.lang.String` | `CONTINUE_ON_LOAD_ERROR`
`static java.lang.String` | `TRACK_LOCATION` Add this option with a value of Boolean.TRUE to the options map when loading a resource to instruct the loader to track source code location for each node in the source document.
`static java.lang.String` | `USE_EXTENSION_FACTORIES`
`static java.lang.String` | `WSDL_ENCODING`
`static java.lang.String` | `WSDL_JAXP_CONFIG` This option can be used as an option on Resource#load methods to specify JAXP configuration that creates and configures SAX, DOM parsers and Transformer.
`static java.lang.String` | `WSDL_JAXP_POOL` This option can be used as an option on Resource#load methods to specify JAXP pool to be used for loading and serializing XML Schemas.
`static java.lang.String` | `WSDL_PROGRESS_MONITOR`

Constructor Summary
`WSDLResourceImpl(URI uri)` Creates an instance of the resource

Method Summary
`void` | `attached(EObject eObject)`
`java.util.Map` | `getDefaultSaveOptions()`
`Definition` | `getDefinition()` Returns the resource's Definition.
`static void` | `serialize(java.io.OutputStream outputStream, org.w3c.dom.Document document)`
`static void` | `serialize(java.io.OutputStream outputStream, org.w3c.dom.Document document, java.lang.String encoding)`
`static void` | `serialize(java.io.OutputStream outputStream, org.w3c.dom.Element element)`
`static void` | `serialize(java.io.OutputStream outputStream, org.w3c.dom.Element element, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_EXTENSION_FACTORIES

    public static final java.lang.String USE_EXTENSION_FACTORIES

See Also:
  Constant Field Values

### CONTINUE_ON_LOAD_ERROR

    public static final java.lang.String CONTINUE_ON_LOAD_ERROR

See Also:
  Constant Field Values

### WSDL_ENCODING

    public static final java.lang.String WSDL_ENCODING

See Also:
  Constant Field Values

### WSDL_PROGRESS_MONITOR

    public static final java.lang.String WSDL_PROGRESS_MONITOR

See Also:
  Constant Field Values

### TRACK_LOCATION

    public static final java.lang.String TRACK_LOCATION

  Add this option with a value of Boolean.TRUE to the options map when loading a resource to instruct the loader to track source code location for each node in the source document.

  See Also:
    `WSDLParser.getUserData(org.w3c.dom.Node)`, `WSDLParser.getStartColumn(org.w3c.dom.Node)`, `WSDLParser.getEndColumn(org.w3c.dom.Node)`, `WSDLParser.getStartLine(org.w3c.dom.Node)`, `WSDLParser.getEndLine(org.w3c.dom.Node)`, Constant Field Values

### WSDL_JAXP_POOL

    public static final java.lang.String WSDL_JAXP_POOL

  This option can be used as an option on Resource#load methods to specify JAXP pool to be used for loading and serializing XML Schemas.

  See Also:
    `Resource#load(InputStream, Map)`, `Resource#load(Map)`, Constant Field Values

### WSDL_JAXP_CONFIG

    public static final java.lang.String WSDL_JAXP_CONFIG

  This option can be used as an option on Resource#load methods to specify JAXP configuration that creates and configures SAX, DOM parsers and Transformer.

  See Also:
    `Resource#load(InputStream, Map)`, `Resource#load(Map)`, Constant Field Values

Constructor Detail

### WSDLResourceImpl

    public WSDLResourceImpl(URI uri)

  Creates an instance of the resource.

  Parameters:
    `uri` - the URI of the new resource.

Method Detail

### getDefinition

    public Definition getDefinition()

  Returns the resource's Definition.

### serialize

    public static void serialize(java.io.OutputStream outputStream,
                                 org.w3c.dom.Document document)

### serialize

    public static void serialize(java.io.OutputStream outputStream,
                                 org.w3c.dom.Document document,
                                 java.lang.String encoding)

### serialize

    public static void serialize(java.io.OutputStream outputStream,
                                 org.w3c.dom.Element element)

### serialize

    public static void serialize(java.io.OutputStream outputStream,
                                 org.w3c.dom.Element element,
                                 java.lang.String encoding)

### attached

    public void attached(EObject eObject)

### getDefaultSaveOptions

    public java.util.Map getDefaultSaveOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD